# Error Handling

There are a variety of error codes which are described in the response codes section and all errors follow the standardized structure described below:

```
{"message":"A describing the error", "error_id": "xIxzs","error": "Internal Server Error"}, 500
{"message":"A describing the error", "error_id": "xIxTs","error": "Not Found"}, 404
{"message":"A describing the error", "error_id": "kxqK5","error": "Unauthorized"}, 401

and so on...
```

{% content-ref url="/pages/jFVixo2NKlWrAyBguWuV" %}
[Response Codes](/basic-concepts/getting-started/response-codes.md)
{% endcontent-ref %}

{% hint style="info" %}
**Unless there is other specific application logic with regards to an error, you should relay the error message to the user as it will be informative of the issue.**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://internal.developer.documentation.private.user.pingproxies.com/basic-concepts/getting-started/error-handling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
